Skip to content

google

← All modules

30 endpoints.

GET /api/v1/google/websites

List Websites

200 — Successful Response

json
{
  "items": {
    "additionalProperties": true,
    "type": "object"
  },
  "type": "array",
  "title": "Response List Websites Api V1 Google Websites Get"
}

POST /api/v1/google/websites

Create Website

Request body

json
{
  "properties": {
    "name": {
      "type": "string",
      "maxLength": 255,
      "minLength": 1,
      "title": "Name"
    },
    "url": {
      "type": "string",
      "maxLength": 500,
      "minLength": 1,
      "title": "Url"
    },
    "status": {
      "type": "integer",
      "title": "Status",
      "default": 1
    }
  },
  "type": "object",
  "required": [
    "name",
    "url"
  ],
  "title": "WebsiteIn"
}

201 — Successful Response

json
{
  "additionalProperties": true,
  "type": "object",
  "title": "Response Create Website Api V1 Google Websites Post"
}

422 — Validation Error

json
{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      },
      "type": "array",
      "title": "Detail"
    }
  },
  "type": "object",
  "title": "HTTPValidationError"
}

PATCH /api/v1/google/websites/{website_id}

Update Website

Parameters

NameInRequiredTypeDescription
website_idpathyesstring

Request body

json
{
  "properties": {
    "name": {
      "type": "string",
      "maxLength": 255,
      "minLength": 1,
      "title": "Name"
    },
    "url": {
      "type": "string",
      "maxLength": 500,
      "minLength": 1,
      "title": "Url"
    },
    "status": {
      "type": "integer",
      "title": "Status",
      "default": 1
    }
  },
  "type": "object",
  "required": [
    "name",
    "url"
  ],
  "title": "WebsiteIn"
}

200 — Successful Response

json
{
  "type": "object",
  "additionalProperties": true,
  "title": "Response Update Website Api V1 Google Websites  Website Id  Patch"
}

422 — Validation Error

json
{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      },
      "type": "array",
      "title": "Detail"
    }
  },
  "type": "object",
  "title": "HTTPValidationError"
}

DELETE /api/v1/google/websites/{website_id}

Delete Website

Parameters

NameInRequiredTypeDescription
website_idpathyesstring

204 — Successful Response

422 — Validation Error

json
{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      },
      "type": "array",
      "title": "Detail"
    }
  },
  "type": "object",
  "title": "HTTPValidationError"
}

GET /api/v1/google/keywords

List Keywords

Parameters

NameInRequiredTypeDescription
website_idqueryno

200 — Successful Response

json
{
  "type": "array",
  "items": {
    "type": "object",
    "additionalProperties": true
  },
  "title": "Response List Keywords Api V1 Google Keywords Get"
}

422 — Validation Error

json
{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      },
      "type": "array",
      "title": "Detail"
    }
  },
  "type": "object",
  "title": "HTTPValidationError"
}

POST /api/v1/google/keywords

Create Keyword

Request body

json
{
  "properties": {
    "website_id": {
      "type": "string",
      "title": "Website Id"
    },
    "name": {
      "type": "string",
      "maxLength": 255,
      "minLength": 1,
      "title": "Name"
    },
    "lang_code": {
      "type": "string",
      "title": "Lang Code",
      "default": "en"
    },
    "country_code": {
      "type": "string",
      "title": "Country Code",
      "default": "za"
    },
    "status": {
      "type": "integer",
      "title": "Status",
      "default": 1
    }
  },
  "type": "object",
  "required": [
    "website_id",
    "name"
  ],
  "title": "KeywordIn"
}

201 — Successful Response

json
{
  "type": "object",
  "additionalProperties": true,
  "title": "Response Create Keyword Api V1 Google Keywords Post"
}

422 — Validation Error

json
{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      },
      "type": "array",
      "title": "Detail"
    }
  },
  "type": "object",
  "title": "HTTPValidationError"
}

POST /api/v1/google/keywords/bulk

Create Keywords Bulk

Add many keywords to a website at once (one per line/comma in the UI).

Request body

json
{
  "properties": {
    "website_id": {
      "type": "string",
      "title": "Website Id"
    },
    "keywords": {
      "items": {
        "type": "string"
      },
      "type": "array",
      "title": "Keywords"
    },
    "lang_code": {
      "type": "string",
      "title": "Lang Code",
      "default": "en"
    },
    "country_code": {
      "type": "string",
      "title": "Country Code",
      "default": "za"
    }
  },
  "type": "object",
  "required": [
    "website_id",
    "keywords"
  ],
  "title": "KeywordsBulkIn"
}

200 — Successful Response

json
{
  "additionalProperties": true,
  "type": "object",
  "title": "Response Create Keywords Bulk Api V1 Google Keywords Bulk Post"
}

422 — Validation Error

json
{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      },
      "type": "array",
      "title": "Detail"
    }
  },
  "type": "object",
  "title": "HTTPValidationError"
}

DELETE /api/v1/google/keywords/{keyword_id}

Delete Keyword

Parameters

NameInRequiredTypeDescription
keyword_idpathyesstring

204 — Successful Response

422 — Validation Error

json
{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      },
      "type": "array",
      "title": "Detail"
    }
  },
  "type": "object",
  "title": "HTTPValidationError"
}

GET /api/v1/google/engines

List Engines

200 — Successful Response

json
{
  "additionalProperties": true,
  "type": "object",
  "title": "Response List Engines Api V1 Google Engines Get"
}

GET /api/v1/google/ranks

List Ranks

Latest rank per keyword (the cached last_rank), for the Rank Tracking page.

Parameters

NameInRequiredTypeDescription
website_idqueryno

200 — Successful Response

json
{
  "type": "array",
  "items": {
    "type": "object",
    "additionalProperties": true
  },
  "title": "Response List Ranks Api V1 Google Ranks Get"
}

422 — Validation Error

json
{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      },
      "type": "array",
      "title": "Detail"
    }
  },
  "type": "object",
  "title": "HTTPValidationError"
}

GET /api/v1/google/keywords/{keyword_id}/history

Rank History

Parameters

NameInRequiredTypeDescription
keyword_idpathyesstring

200 — Successful Response

json
{
  "type": "array",
  "items": {
    "type": "object",
    "additionalProperties": true
  },
  "title": "Response Rank History Api V1 Google Keywords  Keyword Id  History Get"
}

422 — Validation Error

json
{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      },
      "type": "array",
      "title": "Detail"
    }
  },
  "type": "object",
  "title": "HTTPValidationError"
}

POST /api/v1/google/ranks/run

Run Rank

Check current rankings for the given keywords on an engine, now.

Request body

json
{
  "properties": {
    "keyword_ids": {
      "items": {
        "type": "string"
      },
      "type": "array",
      "title": "Keyword Ids"
    },
    "engine_id": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Engine Id"
    }
  },
  "type": "object",
  "required": [
    "keyword_ids"
  ],
  "title": "RankRunIn"
}

200 — Successful Response

json
{
  "additionalProperties": true,
  "type": "object",
  "title": "Response Run Rank Api V1 Google Ranks Run Post"
}

422 — Validation Error

json
{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      },
      "type": "array",
      "title": "Detail"
    }
  },
  "type": "object",
  "title": "HTTPValidationError"
}

GET /api/v1/google/listings/{listing_id}/advisory

Listing Advisory

The Advisory: prioritised fixes from the last metadata check, plus a ready-to-paste LocalBusiness JSON-LD snippet — direct port of the legacy SEO Panel's ListingAdvisoryController.

Parameters

NameInRequiredTypeDescription
listing_idpathyesstring

200 — Successful Response

json
{
  "type": "object",
  "additionalProperties": true,
  "title": "Response Listing Advisory Api V1 Google Listings  Listing Id  Advisory Get"
}

422 — Validation Error

json
{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      },
      "type": "array",
      "title": "Detail"
    }
  },
  "type": "object",
  "title": "HTTPValidationError"
}

PUT /api/v1/google/listings/{listing_id}/profile

Update Profile

Save the listing's Profile tab — text fields + logo/cover/gallery uploads — direct port of the legacy ListingProfileController::update.

Parameters

NameInRequiredTypeDescription
listing_idpathyesstring

200 — Successful Response

json
{
  "type": "object",
  "additionalProperties": true,
  "title": "Response Update Profile Api V1 Google Listings  Listing Id  Profile Put"
}

422 — Validation Error

json
{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      },
      "type": "array",
      "title": "Detail"
    }
  },
  "type": "object",
  "title": "HTTPValidationError"
}

GET /api/v1/google/listings/{listing_id}/files/{file_id}/content

Listing File Content

Parameters

NameInRequiredTypeDescription
listing_idpathyesstring
file_idpathyesstring

200 — Successful Response

json
{}

422 — Validation Error

json
{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      },
      "type": "array",
      "title": "Detail"
    }
  },
  "type": "object",
  "title": "HTTPValidationError"
}

GET /api/v1/google/listings/{listing_id}/reviews

List Reviews

Parameters

NameInRequiredTypeDescription
listing_idpathyesstring

200 — Successful Response

json
{
  "type": "array",
  "items": {
    "type": "object",
    "additionalProperties": true
  },
  "title": "Response List Reviews Api V1 Google Listings  Listing Id  Reviews Get"
}

422 — Validation Error

json
{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      },
      "type": "array",
      "title": "Detail"
    }
  },
  "type": "object",
  "title": "HTTPValidationError"
}

POST /api/v1/google/listings/{listing_id}/reviews

Create Review

Parameters

NameInRequiredTypeDescription
listing_idpathyesstring

Request body

json
{
  "properties": {
    "reviewer_name": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Reviewer Name"
    },
    "rating": {
      "type": "integer",
      "maximum": 5,
      "minimum": 1,
      "title": "Rating"
    },
    "comment": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Comment"
    },
    "review_time": {
      "anyOf": [
        {
          "type": "string",
          "format": "date-time"
        },
        {
          "type": "null"
        }
      ],
      "title": "Review Time"
    }
  },
  "type": "object",
  "required": [
    "rating"
  ],
  "title": "ReviewIn"
}

201 — Successful Response

json
{
  "type": "object",
  "additionalProperties": true,
  "title": "Response Create Review Api V1 Google Listings  Listing Id  Reviews Post"
}

422 — Validation Error

json
{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      },
      "type": "array",
      "title": "Detail"
    }
  },
  "type": "object",
  "title": "HTTPValidationError"
}

PATCH /api/v1/google/reviews/{review_id}

Update Review

Parameters

NameInRequiredTypeDescription
review_idpathyesstring

Request body

json
{
  "properties": {
    "reviewer_name": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Reviewer Name"
    },
    "rating": {
      "type": "integer",
      "maximum": 5,
      "minimum": 1,
      "title": "Rating"
    },
    "comment": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Comment"
    },
    "review_time": {
      "anyOf": [
        {
          "type": "string",
          "format": "date-time"
        },
        {
          "type": "null"
        }
      ],
      "title": "Review Time"
    }
  },
  "type": "object",
  "required": [
    "rating"
  ],
  "title": "ReviewIn"
}

200 — Successful Response

json
{
  "type": "object",
  "additionalProperties": true,
  "title": "Response Update Review Api V1 Google Reviews  Review Id  Patch"
}

422 — Validation Error

json
{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      },
      "type": "array",
      "title": "Detail"
    }
  },
  "type": "object",
  "title": "HTTPValidationError"
}

DELETE /api/v1/google/reviews/{review_id}

Delete Review

Parameters

NameInRequiredTypeDescription
review_idpathyesstring

204 — Successful Response

422 — Validation Error

json
{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      },
      "type": "array",
      "title": "Detail"
    }
  },
  "type": "object",
  "title": "HTTPValidationError"
}

POST /api/v1/google/reviews/{review_id}/draft-reply

Draft Reply

Draft a starter reply (heuristic templates, not an LLM) — port of the legacy ReviewReplyGenerator.

Parameters

NameInRequiredTypeDescription
review_idpathyesstring

200 — Successful Response

json
{
  "type": "object",
  "additionalProperties": true,
  "title": "Response Draft Reply Api V1 Google Reviews  Review Id  Draft Reply Post"
}

422 — Validation Error

json
{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      },
      "type": "array",
      "title": "Detail"
    }
  },
  "type": "object",
  "title": "HTTPValidationError"
}

POST /api/v1/google/reviews/{review_id}/reply

Post Reply

Save a reply. Manually-logged reviews have no live Google review to post to — this saves it locally (offer to copy/paste onto the real listing). Reviews synced from Google (source="google_api") post live via GbpClient.

Parameters

NameInRequiredTypeDescription
review_idpathyesstring

Request body

json
{
  "properties": {
    "reply_text": {
      "type": "string",
      "title": "Reply Text"
    }
  },
  "type": "object",
  "required": [
    "reply_text"
  ],
  "title": "Body_post_reply_api_v1_google_reviews__review_id__reply_post"
}

200 — Successful Response

json
{
  "type": "object",
  "additionalProperties": true,
  "title": "Response Post Reply Api V1 Google Reviews  Review Id  Reply Post"
}

422 — Validation Error

json
{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      },
      "type": "array",
      "title": "Detail"
    }
  },
  "type": "object",
  "title": "HTTPValidationError"
}

POST /api/v1/google/listings/{listing_id}/reviews/sync

Sync Reviews

Pull reviews from Google (legacy v4 API) and upsert them locally — port of ListingReviewsController::sync.

Parameters

NameInRequiredTypeDescription
listing_idpathyesstring

200 — Successful Response

json
{
  "type": "object",
  "additionalProperties": true,
  "title": "Response Sync Reviews Api V1 Google Listings  Listing Id  Reviews Sync Post"
}

422 — Validation Error

json
{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      },
      "type": "array",
      "title": "Detail"
    }
  },
  "type": "object",
  "title": "HTTPValidationError"
}

POST /api/v1/google/listings/{listing_id}/push

Push Listing To Gbp

Parameters

NameInRequiredTypeDescription
listing_idpathyesstring

200 — Successful Response

json
{
  "type": "object",
  "additionalProperties": true,
  "title": "Response Push Listing To Gbp Api V1 Google Listings  Listing Id  Push Post"
}

422 — Validation Error

json
{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      },
      "type": "array",
      "title": "Detail"
    }
  },
  "type": "object",
  "title": "HTTPValidationError"
}

GET /api/v1/google/gbp/status

Gbp Status

200 — Successful Response

json
{
  "additionalProperties": true,
  "type": "object",
  "title": "Response Gbp Status Api V1 Google Gbp Status Get"
}

POST /api/v1/google/gbp/credentials

Gbp Save Credentials

Request body

json
{
  "properties": {
    "client_id": {
      "type": "string",
      "maxLength": 255,
      "minLength": 1,
      "title": "Client Id"
    },
    "client_secret": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Client Secret"
    },
    "redirect_uri": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Redirect Uri"
    }
  },
  "type": "object",
  "required": [
    "client_id"
  ],
  "title": "GbpCredentialsIn"
}

200 — Successful Response

json
{
  "additionalProperties": true,
  "type": "object",
  "title": "Response Gbp Save Credentials Api V1 Google Gbp Credentials Post"
}

422 — Validation Error

json
{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      },
      "type": "array",
      "title": "Detail"
    }
  },
  "type": "object",
  "title": "HTTPValidationError"
}

GET /api/v1/google/gbp/auth-url

Gbp Auth Url

200 — Successful Response

json
{
  "additionalProperties": true,
  "type": "object",
  "title": "Response Gbp Auth Url Api V1 Google Gbp Auth Url Get"
}

POST /api/v1/google/gbp/disconnect

Gbp Disconnect

200 — Successful Response

json
{
  "additionalProperties": true,
  "type": "object",
  "title": "Response Gbp Disconnect Api V1 Google Gbp Disconnect Post"
}

GET /api/v1/google/gbp/locations

Gbp Locations

200 — Successful Response

json
{
  "additionalProperties": true,
  "type": "object",
  "title": "Response Gbp Locations Api V1 Google Gbp Locations Get"
}

Gbp Link

Request body

json
{
  "properties": {
    "listing_id": {
      "type": "string",
      "title": "Listing Id"
    },
    "location_name": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Location Name"
    },
    "account_name": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Account Name"
    }
  },
  "type": "object",
  "required": [
    "listing_id"
  ],
  "title": "GbpLinkIn"
}

200 — Successful Response

json
{
  "additionalProperties": true,
  "type": "object",
  "title": "Response Gbp Link Api V1 Google Gbp Link Post"
}

422 — Validation Error

json
{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      },
      "type": "array",
      "title": "Detail"
    }
  },
  "type": "object",
  "title": "HTTPValidationError"
}

GET /api/v1/google/gbp/callback

Gbp Callback

Parameters

NameInRequiredTypeDescription
codequerynostring
statequerynostring
errorquerynostring

200 — Successful Response

json
{}

422 — Validation Error

json
{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      },
      "type": "array",
      "title": "Detail"
    }
  },
  "type": "object",
  "title": "HTTPValidationError"
}

Lubb ERP Documentation